﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BBC_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BBC_SALEORDER_O') 
 CREATE TABLE T_BBC_SALEORDER_O (
FORDERID BIGINT DEFAULT 0 NOT NULL,
FBILLSOURCE CHAR(1) DEFAULT '0' NOT NULL,
FISSHOPBILL CHAR(1) DEFAULT '0' NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FREQCHANNELID BIGINT DEFAULT 0 NOT NULL,
FRECEIVECHANNELID BIGINT DEFAULT 0 NOT NULL,
FPAYCHANNELID BIGINT DEFAULT 0 NOT NULL,
FBALANCECHANNELID BIGINT DEFAULT 0 NOT NULL,
FSIGNSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FISREPLACEORDER CHAR(1) DEFAULT '0' NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEGROUPID BIGINT DEFAULT 0 NOT NULL,
FISCLOSED CHAR(1) DEFAULT '0' NOT NULL,
FDELIVEREDSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDER_X' AND KSQL_COL_NAME ='FCONSIGNEETEL') 
 ALTER TABLE T_BBC_SALEORDER_X ADD (FCONSIGNEETEL NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FMATERIALID') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FMATERIALID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FAUXPTYID') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FAUXPTYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FISCLOSED') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FISCLOSED CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FDELIVEREDSTATUS') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FDELIVEREDSTATUS CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FSTOCKORGID') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FSTOCKORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FSTOCKID') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FSTOCKID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FJOINORDERBASEQTY') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FJOINORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FJOINORDERASSISTQTY') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FJOINORDERASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FJOINOUTSTOCKBASEQTY') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FJOINOUTSTOCKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FJOINOUTSTOCKASSISTQTY') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FJOINOUTSTOCKASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FTOTALNOTICESIGNBASEQTY') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FTOTALNOTICESIGNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FTOTALNOTICESIGNASSISTQTY') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FTOTALNOTICESIGNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FTOTALINSTOCKBASEQTY') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FTOTALINSTOCKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FTOTALINSTOCKASSISTQTY') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FTOTALINSTOCKASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FTOTALORDERBASEQTY') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FTOTALORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDERENTRY_X' AND KSQL_COL_NAME ='FTOTALOUTSTOCKBASEQTY') 
 ALTER TABLE T_BBC_SALEORDERENTRY_X ADD (FTOTALOUTSTOCKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDER' AND KSQL_COL_NAME ='FDPABILLTYPEID') 
 ALTER TABLE T_BBC_SALEORDER ADD (FDPABILLTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDER' AND KSQL_COL_NAME ='FBBCBILLTYPEID') 
 ALTER TABLE T_BBC_SALEORDER ADD (FBBCBILLTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDER' AND KSQL_COL_NAME ='FBUSINESSTYPEID') 
 ALTER TABLE T_BBC_SALEORDER ADD (FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_SALEORDER' AND KSQL_COL_NAME ='FSALEORGID') 
 ALTER TABLE T_BBC_SALEORDER ADD (FSALEORGID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BBC_table.sql **/
