﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BBC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BBC_DELIVERYSERIAL') 
 CREATE TABLE T_BBC_DELIVERYSERIAL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FOCICSERIALID BIGINT DEFAULT 0 NOT NULL,
FSERIALNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSCMSERIALID BIGINT DEFAULT 0 NOT NULL,
FISREPLENISH CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYRECORD' AND KSQL_COL_NAME ='FSETTLECURRENCYID') 
 ALTER TABLE T_BBC_DELIVERYRECORD ADD (FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FASSISTUNIT') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FASSISTUNIT BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FREFUSEQTY') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FREFUSEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FREFUSEASSITQTY') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FREFUSEASSITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FREFUSEBASEQTY') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FREFUSEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FREFUSEINFO') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FREFUSEINFO NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FISPRESENT') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FISPRESENT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FPRICE') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FTAXRATE') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FTAXPRICE') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FDISCOUNTTYPE') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FDISCOUNTTYPE CHAR(10) DEFAULT 'NULL' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FDISCOUNT') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FDISCOUNTAMOUNT') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FTAXAMOUNT') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FAMOUNT') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FAMOUNTANDTAX') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FSCMLOTID') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FSCMLOTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FOCICLOTID') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FOCICLOTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FLOTNUMBER') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FPRODUCEDATE') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FPRODUCEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FEXPIRYDATE') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FEXPIRYDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FSERIALUNITID') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FSERIALUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FSERIALQTY') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FSERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FDELIVERASSITQTY') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FDELIVERASSITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FSIGNBASEQTY') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FSIGNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FSIGNASSITQTY') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FSIGNASSITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FAUXPTYID') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FAUXPTYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BBC_DELIVERYDETAIL' AND KSQL_COL_NAME ='FMATERIALID') 
 ALTER TABLE T_BBC_DELIVERYDETAIL ADD (FMATERIALID BIGINT DEFAULT 0 NOT NULL );
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BBC_table.sql **/
