<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>633021462776644608</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1594977702000</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>/8HYXKDQ8721</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>oemorder</Expression>
                          <Description/>
                          <ExprTran>oem订单</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>sourcebilltype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>0</Expression>
                          <Description/>
                          <ExprTran>待签收</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>signstatus</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>item</TargetFieldKey>
                      <SourceFieldKey>item</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>assistattr</TargetFieldKey>
                      <SourceFieldKey>assistattr</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>unit</TargetFieldKey>
                      <SourceFieldKey>unit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>qty</TargetFieldKey>
                      <SourceFieldKey>alterqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>deliverqty</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>deliverableqty - deliveredqty</Expression>
                          <Description/>
                          <ExprTran>累计可发货数量 - 累计已发货数量</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>deliveredqty</TargetFieldKey>
                      <SourceFieldKey>deliveredqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentity</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>GetSrcEntityNumber()</Expression>
                          <Description/>
                          <ExprTran>GetSrcEntityNumber()</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>OEM订单.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentryid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>itementry.id</Expression>
                          <Description/>
                          <ExprTran>商品分录.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentryseq</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>itementry.seq</Expression>
                          <Description/>
                          <ExprTran>商品分录.序号</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>mainbillid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>sourcebillid</Expression>
                          <Description/>
                          <ExprTran>来源订单ID</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>mainbillentryid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>sourcebillentryid</Expression>
                          <Description/>
                          <ExprTran>来源销售订单分录ID</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>mainbillentity</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>'bbc_saleorder'</Expression>
                          <Description/>
                          <ExprTran>'bbc_saleorder'</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillnumber</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>billno</Expression>
                          <Description/>
                          <ExprTran>单据编号</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>mainbillnumber</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>sourcebillno</Expression>
                          <Description/>
                          <ExprTran>来源订单编号</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>-4</CompareType>
                              <FieldName>deliverableqty</FieldName>
                              <RightBracket/>
                              <Id>/ZQU4KFTMUCC</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>/ZQU4KFTMUCD</Id>
                                  <Value>deliveredqty</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description>只有累计发货数量大于累计已发货数量时才允许发货！</Description>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>deliverydetail</TargetEntryKey>
                  <TargetSubEntryKey/>
                  <SourceEntryKey>itementry</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <efRule>false</efRule>
              <TargetEntityNumber>bbc_delivery_record</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField/>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>OneToOne</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>bbc-oem订单-发货记录</Name>
              <SourceEntityNumber>bbc_oemsaleorder</SourceEntityNumber>
              <Id>633021462776644608</Id>
            </ConvertRuleElement>
          </RuleElement>
          <Id>633021462776644608</Id>
          <InheritPath/>
          <CreateDate>1594697883000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>899001710939250688</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1594977702923</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>/8HYXKDQ8721</BizappId>
      <TargetEntityNumber>bbc_delivery_record</TargetEntityNumber>
      <SourceEntityNumber>bbc_oemsaleorder</SourceEntityNumber>
      <Id>633021462776644608</Id>
      <InheritPath></InheritPath>
      <CreateDate>1594697883000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
