<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>869486728908825600</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1634630548223</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>/8HYXKDQ8721</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <BillTypeMapPolicy>
                <BillTypeMapPolicy>
                  <Items>
                    <BillTypeMapItem>
                      <SourceType>All</SourceType>
                      <Id>0PSP7+Q3UOHH</Id>
                      <Seq>1</Seq>
                      <TargetBillTypeId>587483350172726272</TargetBillTypeId>
                      <PushType>Spec</PushType>
                    </BillTypeMapItem>
                  </Items>
                </BillTypeMapPolicy>
              </BillTypeMapPolicy>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <SourceFieldKey>saleorgid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>dept</TargetFieldKey>
                      <SourceFieldKey>department</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settleorg</TargetFieldKey>
                      <SourceFieldKey>settleorgid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>customer</TargetFieldKey>
                      <SourceFieldKey>customer.bdcustomer</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>biztype</TargetFieldKey>
                      <SourceFieldKey>businesstype</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settlecurrency</TargetFieldKey>
                      <SourceFieldKey>currency</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>currency</TargetFieldKey>
                      <SourceFieldKey>localcurrency</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>exratetable</TargetFieldKey>
                      <SourceFieldKey>exratetableid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>exchangerate</TargetFieldKey>
                      <SourceFieldKey>exchangerate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>totaltaxamount</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>tax</Expression>
                          <Description/>
                          <ExprTran>交易税额</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>Sum</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>totalamount</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>amount</Expression>
                          <Description/>
                          <ExprTran>交易金额</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>Sum</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>curtotalamount</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>localamount</Expression>
                          <Description/>
                          <ExprTran>交易金额本位币</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>Sum</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>totalallamount</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>taxamount</Expression>
                          <Description/>
                          <ExprTran>交易价税合计</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>Sum</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>curtotalallamount</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>localtaxamount</Expression>
                          <Description/>
                          <ExprTran>交易价税合计本位币</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>Sum</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>reccustomer</TargetFieldKey>
                      <SourceFieldKey>customer.bdcustomer</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>receiveaddress</TargetFieldKey>
                      <SourceFieldKey>address</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>comment</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>orderremark</Expression>
                          <Description/>
                          <ExprTran>备注</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>istax</TargetFieldKey>
                      <SourceFieldKey>hastax</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>biztime</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>NOW()</Expression>
                          <Description/>
                          <ExprTran>NOW()</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>paymode</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression/>
                                  <FilterString>{"filterRow":[{"id":"1=UL97CRV4PO","leftBracket":"","compareType":"105","fieldName":"paytype","rightBracket":"","logic":"0","value":[{"id":"1=UL97CRV40E","value":"001"}],"baseDataIds":[]}],"forList":false}</FilterString>
                                  <FilterCondition>
                                    <FilterCondition>
                                      <FilterRow>
                                        <SimpleFilterRow>
                                          <CompareType>105</CompareType>
                                          <FieldName>paytype</FieldName>
                                          <RightBracket/>
                                          <Id>1=UL97CRV4PO</Id>
                                          <LeftBracket/>
                                          <Logic>0</Logic>
                                          <Value>
                                            <FilterValue>
                                              <Id>1=UL97CRV40E</Id>
                                              <Value>001</Value>
                                            </FilterValue>
                                          </Value>
                                        </SimpleFilterRow>
                                      </FilterRow>
                                    </FilterCondition>
                                  </FilterCondition>
                                  <Description/>
                                  <ExprTran>付款方式 等于 现销</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>'CASH'</Expression>
                                  <Description/>
                                  <ExprTran>'CASH'</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1=ULAF0ZU/6S</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression/>
                                  <FilterString>{"filterRow":[{"id":"1=ULC/1/P/PK","leftBracket":"","compareType":"105","fieldName":"paytype","rightBracket":"","logic":"0","value":[{"id":"1=ULC/1/P0CU","value":"002"}],"baseDataIds":[]}],"forList":false}</FilterString>
                                  <FilterCondition>
                                    <FilterCondition>
                                      <FilterRow>
                                        <SimpleFilterRow>
                                          <CompareType>105</CompareType>
                                          <FieldName>paytype</FieldName>
                                          <RightBracket/>
                                          <Id>1=ULC/1/P/PK</Id>
                                          <LeftBracket/>
                                          <Logic>0</Logic>
                                          <Value>
                                            <FilterValue>
                                              <Id>1=ULC/1/P0CU</Id>
                                              <Value>002</Value>
                                            </FilterValue>
                                          </Value>
                                        </SimpleFilterRow>
                                      </FilterRow>
                                    </FilterCondition>
                                  </FilterCondition>
                                  <Description/>
                                  <ExprTran>付款方式 等于 赊销</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>'CREDIT'</Expression>
                                  <Description/>
                                  <ExprTran>'CREDIT'</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1=ULDO597ET7</Id>
                              <Seq>2</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>material</TargetFieldKey>
                      <SourceFieldKey>material</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>materialname</TargetFieldKey>
                      <SourceFieldKey>material.name</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>materialmasterid</TargetFieldKey>
                      <SourceFieldKey>material</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>warehouse</TargetFieldKey>
                      <SourceFieldKey>stockid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auxunit</TargetFieldKey>
                      <SourceFieldKey>assistunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>auxqty</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>assistqty - joinorderassistqty</Expression>
                          <Description>辅助单位确认数量 - 辅助单位已关联数量</Description>
                          <ExprTran>确认辅助数量 - 辅助单位已关联数量</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>qty</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>qty - ( qty / baseqty * joinorderbaseqty )</Expression>
                          <Description>发货数量 - 已关联数量</Description>
                          <ExprTran>确认数量 - ( 确认数量 / 确认基本数量 * 基本单位已关联数量 )</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>baseqty</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>baseqty - joinorderbaseqty</Expression>
                          <Description>基本发货数量 - 基本单位已关联数量</Description>
                          <ExprTran>确认基本数量 - 基本单位已关联数量</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>baseunit</TargetFieldKey>
                      <SourceFieldKey>baseunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>price</TargetFieldKey>
                      <SourceFieldKey>price</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>taxrateid</TargetFieldKey>
                      <SourceFieldKey>taxrateid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>taxrate</TargetFieldKey>
                      <SourceFieldKey>taxrate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>taxamount</TargetFieldKey>
                      <SourceFieldKey>tax</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>discounttype</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>TRIM(botpdiscounttype)</Expression>
                          <Description/>
                          <ExprTran>TRIM(下推折扣方式)</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>discountamount</TargetFieldKey>
                      <SourceFieldKey>botpdiscountamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>amountandtax</TargetFieldKey>
                      <SourceFieldKey>taxamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>curtaxamount</TargetFieldKey>
                      <SourceFieldKey>localtax</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>curamount</TargetFieldKey>
                      <SourceFieldKey>localamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>curamountandtax</TargetFieldKey>
                      <SourceFieldKey>localtaxamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentity</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>GetSrcEntityNumber()</Expression>
                          <Description/>
                          <ExprTran>GetSrcEntityNumber()</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>要货订单.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentryid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>itementry.id</Expression>
                          <Description/>
                          <ExprTran>商品分录.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>srcbillnumber</TargetFieldKey>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillentryseq</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>itementry.seq</Expression>
                          <Description/>
                          <ExprTran>商品分录.序号</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>unit</TargetFieldKey>
                      <SourceFieldKey>unit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>amount</TargetFieldKey>
                      <SourceFieldKey>amount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>discountrate</TargetFieldKey>
                      <SourceFieldKey>botpdiscount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>priceandtax</TargetFieldKey>
                      <SourceFieldKey>taxprice</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>entrysettleorg</TargetFieldKey>
                      <SourceFieldKey>settleorgid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>ispresent</TargetFieldKey>
                      <SourceFieldKey>ispresent</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>1194150915045641216</Expression>
                          <Description/>
                          <ExprTran>物资</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>linetype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_stockorg</TargetFieldKey>
                      <SourceFieldKey>stockorgid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_corebillno</TargetFieldKey>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>e_corebillrowno</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>itementry.seq</Expression>
                          <Description/>
                          <ExprTran>商品分录.序号</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>deliverqtydown</TargetFieldKey>
                      <SourceFieldKey>qty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>deliverqtyup</TargetFieldKey>
                      <SourceFieldKey>qty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>deliverbaseqtydown</TargetFieldKey>
                      <SourceFieldKey>baseqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>deliverbaseqtyup</TargetFieldKey>
                      <SourceFieldKey>baseqty</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>deliverydate</TargetFieldKey>
                      <SourceFieldKey>entryconfirmarrivaldate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <ClassName>kd.drp.bbc.formplugin.botp.saleorder.SaleOrderPushSalOrderPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterString>{"filterRow":[{"id":"0PSR=WCI+8TD","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"0PSR=WCHXV7R","value":"C"}],"baseDataIds":[]},{"id":"0Q=K/BVFYG4I","leftBracket":"","compareType":"105","fieldName":"closestatus","rightBracket":"","logic":"0","value":[{"id":"0Q=K/BVJLZT1","value":"1"}],"baseDataIds":[]},{"id":"0QKNZPG7136X","leftBracket":"","compareType":"-4","fieldName":"baseqty","rightBracket":"","logic":"0","value":[{"id":"0QKNZPG7//QW","value":"totalorderbaseqty"}],"baseDataIds":[]},{"id":"0TF52MD738PB","leftBracket":"","compareType":"-4","fieldName":"baseqty","rightBracket":"","logic":"0","value":[{"id":"0TF52MD732N0","value":"totaloutstockbaseqty"}],"baseDataIds":[]},{"id":"0U4R/GVWWZMH","leftBracket":"","compareType":"-4","fieldName":"baseqty","rightBracket":"","logic":"0","value":[{"id":"0U4R/GVWW1M5","value":"joinorderbaseqty"}],"baseDataIds":[]},{"id":"15ALFJ8M6VJ8","leftBracket":"","compareType":"-4","fieldName":"qty","rightBracket":"","logic":"0","value":[{"id":"15ALFJ8M8S9P","value":"deliveredqty"}],"baseDataIds":[]},{"id":"1GL7QH=O0GX0","leftBracket":"","compareType":"106","fieldName":"entrytype","rightBracket":"","logic":"0","value":[{"id":"1GL7QH=O0VPO","value":"1"}],"baseDataIds":[]},{"id":"1GL7QH=O0GX1","leftBracket":"","compareType":"105","fieldName":"entryclosestatus","rightBracket":"","logic":"0","value":[{"id":"1GL7QH=O0VPP","value":"1"}],"baseDataIds":[]}],"forList":false}</FilterString>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>billstatus</FieldName>
                              <RightBracket/>
                              <Id>0PSR=WCI+8TD</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0PSR=WCHXV7R</Id>
                                  <Value>C</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>closestatus</FieldName>
                              <RightBracket/>
                              <Id>0Q=K/BVFYG4I</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0Q=K/BVJLZT1</Id>
                                  <Value>1</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>-4</CompareType>
                              <FieldName>baseqty</FieldName>
                              <RightBracket/>
                              <Id>0QKNZPG7136X</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0QKNZPG7//QW</Id>
                                  <Value>totalorderbaseqty</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>-4</CompareType>
                              <FieldName>baseqty</FieldName>
                              <RightBracket/>
                              <Id>0TF52MD738PB</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0TF52MD732N0</Id>
                                  <Value>totaloutstockbaseqty</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>-4</CompareType>
                              <FieldName>baseqty</FieldName>
                              <RightBracket/>
                              <Id>0U4R/GVWWZMH</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0U4R/GVWW1M5</Id>
                                  <Value>joinorderbaseqty</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>-4</CompareType>
                              <FieldName>qty</FieldName>
                              <RightBracket/>
                              <Id>15ALFJ8M6VJ8</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>15ALFJ8M8S9P</Id>
                                  <Value>deliveredqty</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>106</CompareType>
                              <FieldName>entrytype</FieldName>
                              <RightBracket/>
                              <Id>1GL7QH=O0GX0</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>1GL7QH=O0VPO</Id>
                                  <Value>1</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>entryclosestatus</FieldName>
                              <RightBracket/>
                              <Id>1GL7QH=O0GX1</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>1GL7QH=O0VPP</Id>
                                  <Value>1</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description/>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>billentry</TargetEntryKey>
                  <TargetSubEntryKey/>
                  <SourceEntryKey>itementry</SourceEntryKey>
                  <LinkType>Link</LinkType>
                  <SourceLayout/>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <efRule>false</efRule>
              <OptionPolicy>
                <OptionPolicy>
                  <MergeIntoLinkRow>true</MergeIntoLinkRow>
                  <OnlyReadBillTable>false</OnlyReadBillTable>
                </OptionPolicy>
              </OptionPolicy>
              <TargetEntityNumber>sm_salorder</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField/>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>OneToOne</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>要货订单-销售订单转换规则</Name>
              <SourceEntityNumber>bbc_saleorder</SourceEntityNumber>
              <Id>869486728908825600</Id>
            </ConvertRuleElement>
          </RuleElement>
          <Id>869486728908825600</Id>
          <InheritPath/>
          <CreateDate>1586850895000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>1163135907390582784</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1634630548271</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>/8HYXKDQ8721</BizappId>
      <TargetEntityNumber>sm_salorder</TargetEntityNumber>
      <SourceEntityNumber>bbc_saleorder</SourceEntityNumber>
      <Id>869486728908825600</Id>
      <InheritPath></InheritPath>
      <CreateDate>1586850895000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
