-- 发货记录改造 数据升级
insert into t_bbc_deliverydetail_x
(FRECORDID, FENTRYID,  FSRCBILLID, FSRCBILLENTRYID,  FMAINBILLID, FMAINBILLENTRYID,  FSRCBILLNUMBER)
select 
   t1.frecordid,
   t2.fentryid,
   case when t1.fsourcebillid=' ' then N'0' when t1.fsourcebillid is null then N'0' else  t1.fsourcebillid end as fsourcebillid,
   case when t2.fsourcebillentryid=' ' then N'0' when t2.fsourcebillentryid is null then N'0' else  t2.fsourcebillentryid end as fsourcebillid,
   case when t1.fcorebillid=' ' then N'0' when t1.fcorebillid is null then N'0' else  t1.fcorebillid end as fcorebillid,
   case when t2.fcorebillentryid=' ' then N'0' when t2.fcorebillentryid is null then N'0' else t2.fcorebillentryid end as fcorebillentryid,
   case when t1.fsourcebillno is null then N' ' else  t1.fsourcebillno end as fsourcebillno
from t_bbc_deliveryrecord t1
   left join t_bbc_deliverydetail t2 on t1.frecordid = t2.frecordid
   left join t_bbc_deliverydetail_x t3 on t1.frecordid = t3.frecordid and t2.fentryid = t3.fentryid
where t3.fentryid is null and t2.fentryid is not null;